For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
ModelsChatRankingsDocs
DocsAPI ReferenceClient SDKsAgent SDKCookbookChangelog
DocsAPI ReferenceClient SDKsAgent SDKCookbookChangelog
  • API Guides
    • Overview
    • Streaming
    • Embeddings
    • Limits
    • Authentication
    • Parameters
    • Errors and Debugging
  • API Reference
      • POSTSubmit a video generation request
      • GETPoll video generation status
      • GETDownload generated video content
      • GETList all video generation models
LogoLogo
ModelsChatRankingsDocs
API ReferenceVideo Generation

List all video generation models

GET
https://openrouter.ai/api/v1/videos/models
GET
/api/v1/videos/models
$curl https://openrouter.ai/api/v1/videos/models \
> -H "Authorization: Bearer <token>"
1{
2 "data": [
3 {
4 "allowed_passthrough_parameters": [],
5 "canonical_slug": "google/veo-3.1",
6 "created": 1700000000,
7 "generate_audio": true,
8 "id": "google/veo-3.1",
9 "name": "Veo 3.1",
10 "seed": null,
11 "supported_aspect_ratios": [
12 "16:9"
13 ],
14 "supported_durations": [
15 5,
16 8
17 ],
18 "supported_frame_images": [
19 "first_frame",
20 "last_frame"
21 ],
22 "supported_resolutions": [
23 "720p"
24 ],
25 "supported_sizes": null,
26 "description": "Google video generation model",
27 "pricing_skus": {
28 "generate": "0.50"
29 }
30 }
31 ]
32}
Returns a list of all available video generation models and their properties
Was this page helpful?
Previous

List workspaces

Next
Built with

Authentication

AuthorizationBearer
API key as bearer token in Authorization header

Response

Returns a list of video generation models
datalist of objects

Errors

400
Bad Request Error
500
Internal Server Error